Skip to end of metadata
Go to start of metadata

Plugin Information

View Hyper.sh Slaves on the plugin site for more information.

This plugin allows to execute a jenkins job inside Hyper.sh container(s).

Read more on https://github.com/jenkinsci/hyper-slaves-plugin

1 Comment

  1. Works incorrectly on Mac OS X

    Connection test always fails.

    Manual investigation shows that 'download hypercli' doesn't do it's job:

     

    • it downloads 

      bash-3.2$ file hyper
      hyper: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=3385257c1309ec8e3dd1af7dcbff60e8babfcecd, stripped

    • even while it should get file for 

      bash-3.2$ uname -a
      Darwin xx.xxx.com 16.5.0 Darwin Kernel Version 16.5.0: Fri Mar 3 16:52:33 PST 2017; root:xnu-3789.51.2~3/RELEASE_X86_64 x86_64   (macOS Sierra), correct file type should be 

      bash-3.2$ file hyper
      hyper: Mach-O 64-bit executable x86_64

    wget https://hyper-install.s3.amazonaws.com/hyper-mac.bin.zip

    unzip hyper-mac.bin.zip in bin/hyper directory fixes this.